#!/usr/bin/perl
use strict;
use PerlRPG::Game;
use PerlRPG::Console;
use PerlRPG::Assets;
use PerlRPG::Drawing;
use PerlRPG::Script;

my $screen_width = 1024;
my $screen_height = 768;
my $asset_directory = 'Resources';

LogData(STATUS, "Starting up");
ScanDirectory($asset_directory);
my $app = InitApp($screen_width, $screen_height);
CompileScripts();
RunScript('__init__');


#SetBackgroundColor(128, 128, 128, 255);
#ShowSprite('aka', 'aka.vs', 0, 0, 1);
#ShowSprite('aka2', 'aka.vs', 100, 0, 2);

Run();

LogData(STATUS, "Tearing down");

